#home {
    margin: 0 auto;
    width: 100%;
    min-width: 950px;
    background-color: #f1f1f1;
    margin-bottom: 50px;
    box-sizing: border-box;
   padding: 0;
  
}
#header{
   background: #fff;
box-shadow: 0 0 5px #e1e1e1;
}
#blogTitle h1 {
    font-size: 36px;
    font-weight: bold;
    line-height: 1.5em;
    margin-top: 20px;
    color: black;
}
#navList a {
    display: block;
    width: 5em;
    height: 22px;
    float: left;
    text-align: center;
    padding-top: 19px;
    font-size: 18px;
}
.catListTitle {
    border-left: 6px solid #4297FB;
    font-weight: bold;
    line-height: 1.2;
    font-size: 110%;
    margin-top: 15px;
    margin-bottom: 10px;
    padding-left: 6px;
    text-align: left;
}
#sideBar h3 {
    font-size: 18px;
}
#profile_block {
    margin-top: 5px;
    line-height: 1.5;
    text-align: left;
    font-size: 14px;
}
#cnblogs_post_body p{
     margin: 10px auto;
    text-indent: 30px;
    font-size: 18px;
} 
/*css3D样式*/
*{padding: 0; margin: 0; border: none;}
 .examplePage1{
	 width: 800px;
	 height: 280px;
	 border: 3px solid #ccc;
	 border-radius: 5px;
  }
  .p1-first{
	float: left;
	position: relative;
	width: 150px;
	height: 150px;
	margin: 40px;
	perspective: 300px;
	-webkit-perspective: 300px;
  }
  .p1-last{
	float: left;
	position: relative;
	width: 150px;
	height: 150px;
	margin: 50px;
  }
  .bk1{
	width: 100%;
	height: 100%;
	background: rgba(255,0,12,0.8);
	animation: xa 3s linear infinite;
	-webkit-animation: xa 3s linear infinite;
  }
  /*正方体样式*/
  .rotateCube{
	float: left;
	width: 150px;
	height: 150px;
	margin-top: 66px;
	margin-left: 50px;
	transform-style: preserve-3d;
	animation: ya 3s linear infinite;
  }
  .p1{
	float: left;
	width: 150px;
	height: 150px;
	transform-style: preserve-3d;
	transform: rotateX(35.3deg);
	-webkit-transform-style:preserve-3d;
  }
  .cube{
	position: relative;
	width: 150px;
	height: 150px;
	transform-style: perspective-3d;
	transform:translateZ(75px) rotateZ(45deg);
	-webkit-transform-style: preserve-3d;
  }
  .cube > div{
	position: absolute;
	top: 0;
	left: 0;
	width: 150px;
	height: 150px;
	font-size: 50px;
	text-align: center;
	line-height: 150px;
	box-shadow:inset 0 0 50px #000;
  }
	.page1{
		background:rgba(255,0,3,0.5);
	}
	.page2{
		background:rgba(222,35,78,0.5);
		transform:rotateX(90deg);
		transform-origin:center bottom;
		
		-webkit-transform:rotateX(90deg);
		-webkit-transform-origin:center bottom;
		
		-moz-transform:rotateX(90deg);
		-moz-transform-origin:center bottom;
	}
	.page3{
		background:rgba(45,221,36,0.5);
		transform:rotateY(90deg);
		transform-origin:left center;
		
		-webkit-transform:rotateY(90deg);
		-webkit-transform-origin:left center;
		
		-moz-transform:rotateY(90deg);
		-moz-transform-origin:left center;
	}
	.page4{
		background:rgba(45,91,123,0.5);
		transform:rotateY(-90deg);
		transform-origin:right center;
		
		-webkit-transform:rotateY(-90deg);
		-webkit-transform-origin:right center;
		
		-moz-transform:rotateY(-90deg);
		-moz-transform-origin:right center;
	}
	.page5{
		background:rgba(225,124,36,0.5);
		transform:rotateX(-90deg);
		transform-origin:top;
		
		-webkit-transform:rotateX(-90deg);
		-webkit-transform-origin:top;
		
		-moz-transform:rotateX(-90deg);
		-moz-transform-origin:top;
	}
	.page6{
		background:rgba(28,24,36,0.5);
		transform:translateZ(-150px);
		
		-webkit-transform:translateZ(-150px);
		
		-moz-transform:translateZ(-150px);
	}
  /*按X轴360度旋转*/
  @keyframes xa{
	0%{
		transform: rotateX(0deg);
	}
	100%{
		transform: rotateX(360deg);
	}
  }
  @keyframes ya{
	0%{
		transform: rotateY(0deg);
	}
	100%{
		transform: rotateY(360deg);
	}
  }